#!/bin/bash -e

# For debug. If you need it, please comment in.
#set -x

LOG_DIR="/root/shell_app/log"
OUTPUT_FILE="temp.txt"
LED="/sys/class/leds/led1/brightness"

now=$(TZ=JST-9 date -Iseconds)
cpu_temp=$(awk '{print $1 / 1000}' /sys/class/thermal/thermal_zone0/temp 2>/dev/null)
soc_temp=$(awk '{print $1 / 1000}' /sys/class/thermal/thermal_zone1/temp 2>/dev/null)

mkdir -p "$LOG_DIR"
echo "$now, cpu temperature:$cpu_temp, soc temperature:$soc_temp" >> "$LOG_DIR"/"$OUTPUT_FILE"

for i in $(seq 1 5); do
    val=$(cat "$LED")
    val=$((1&~val))
    echo $val > "$LED"
    sleep 0.5
    val=$((1&~val))
    echo $val > "$LED"
    sleep 0.5
done
